Bug Hunting Session
Bug 87786 - Showing "Styles and formatting" when side bar is completely closed, doesn't show the whole sidebar
Summary: Showing "Styles and formatting" when side bar is completely closed, doesn't s...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Styles
  Show dependency treegraph
 
Reported: 2014-12-28 09:24 UTC by tomaskeb
Modified: 2016-10-23 19:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomaskeb 2014-12-28 09:24:14 UTC
The sidebar is completely closed (using the View menu). When pressing the "Styles and formatting" button on the toolbar in this state, a somehow incomplete sidebar appears: there are none of the 4 buttons (e.g. Gallery, Navigator…).

Also, it is similar when opening e.g. "Gallery" from the View menu.

When opening "Navigator" from the View menu, it shows as a separate window.

I think it would be logical for all of the commands to show a complete sidebar, with the respective section active.
Comment 1 Cor Nouws 2014-12-28 10:24:20 UTC
Hi thomas,

thanks for reporting.

I confirm that when opening Styles and Formatting and Gallery, "  a somehow incomplete sidebar appears: there are none of the 4 buttons "

set to new.

Wrt the Navigator"the choice is made to have this one also open separate, to allow use of Navigator and other panels (e.g. Styles and Formatting) at the same time.

Cor
Comment 2 V Stuart Foote 2014-12-28 19:17:59 UTC
On Windows 7 sp1, 64-bit en-US

1. Sidebar closed/unchecked from main menu View -> Sidebar
2. Styles and Formatting button added back visible on Formatting toolbar.
3. click on Styles and Formatting button

Version: 4.4.0.1.0+
Build ID: 9ca0a30de75b0b563c95c6ff8863b1c4f7ed1c6b
TinderBox: Win-x86@51-TDF, Branch:libreoffice-4-4, Time: 2014-12-25_11:49:22
Locale: en_US

Confirm an incomplete Sidebar (opening with Styles and Formatting Content panel in the deck, but with no Tab Bar buttons). But toggling Sidebar on from View -> Sidebar results in fully formed Sidebar Tab bar.

But that the button behavior is correct, fully formed Sidebar opening on Styles and Formatting content panel, if performed with a current build of master
Version: 4.5.0.0.alpha0+
Build ID: 57626f2132f73e4e42b31e364b25c5867336e718
TinderBox: Win-x86@42, Branch:master, Time: 2014-12-26_09:26:33
Locale: en_US
Comment 3 tmacalp 2015-01-12 18:49:44 UTC
I believe this has been fixed, so I'll mark it as resolved/fixed, though I'm not sure exactly which commit did the trick.  But I tested this in 4.4.0.2 rc2 and I'm no longer able to reproduce this bug.

After fully closing the sidebar, it doesn't matter how I try to summon the sidebar, it now always has each of the category buttons.